<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>File Upload Form</title>
</head>
<body>

<?php


function resizePng($im, $dst_width, $dst_height) {
    $width = imagesx($im);
    $height = imagesy($im);

    $newImg = imagecreatetruecolor($dst_width, $dst_height);

    imagealphablending($newImg, false);
    imagesavealpha($newImg, true);
    $transparent = imagecolorallocatealpha($newImg, 255, 255, 255, 127);
    imagefilledrectangle($newImg, 0, 0, $width, $height, $transparent);
    imagecopyresampled($newImg, $im, 0, 0, 0, 0, $dst_width, $dst_height, $width, $height);

    return $newImg;
}

$img = @imagecreatefrompng( $filePath);


//$image->readImage($file);

//$num_padded = sprintf("%02d", $num);
//echo $num_padded; // returns 04

?>

    <form action="post.php" method="post" enctype="multipart/form-data">
        <h2>Upload File</h2>
		<br>
		Name : <input type="input" name="name" id="name"> <br>
        Files : <input id='upload' name="upload[]" type="file" multiple="multiple" />
         <p><input type="submit" name="submit" value="Submit"></p>
    </form>
</body>
</html>